import 'package:get/get_connect/http/src/request/request.dart';
import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';

part 'character_page_response.g.dart';

@JsonSerializable()
class CharacterPageResponse {
  @JsonKey(name: "count")
  int count;
  @JsonKey(name: "list")
  List<CharacterInfo> characterInfos;

  CharacterPageResponse({required this.count, required this.characterInfos});

  factory CharacterPageResponse.fromJson(Map<String, dynamic> json) =>
      _$CharacterPageResponseFromJson(json);
}
